<?php
define('SID_NAME', 'DEMOLAB');
session_name(SID_NAME);
session_start();

define('LIBS_PATH', '../libs/');

# database setting and support

define('DBHOST', 'peta-esru.mecheng.strath.ac.uk');
define('DBUSER', 'manager');
define('DBNAME', 'smarthomes');
define('DBPWD', 'manager');
define('DBPORT', '');

require_once(LIBS_PATH.'DBsupport.lib.php');

# language setting
if (!isset($_SESSION['lang'])) $_SESSION['lang'] = 'cz';
if (isset($_GET['lang']) && $_GET['lang'] != $_SESSION['lang']) $_SESSION['lang'] = $_GET['lang'];

# service setting
define('HTTPS', 0); // http + ssl
define('SECURITY_SERVICE', 0); // login dialog
define('MAX_NO_ACTIVITY_TIME', 0); // in minutes
define('MOD_LOGIN', 'login');
define('MOD_LOGIN_CHECK', 'loginchck');
define('MOD_LOGOUT', 'logout');
define('MOD_CURRENT', 1);
define('MOD_TABLES', 2);
define('MOD_HISTORY', 3);
define('MOD_AVG', 4);
define('MOD_COMPARISON', 5);

$site = null;
if (isset($_GET['site'])) {
	$site = $_GET['site'];
	unset($_GET['site']);
}

$libScriptName = '';
$localScriptName = '';

switch ($site) {
	case MOD_TABLES:
		$libScriptName = 'tables';
		$title = array('cz' => 'Tabulky prbh mench veliin', 'en' => 'Tables with measured values');
		break;
	case MOD_HISTORY:
		$libScriptName = 'history';
		$title = array('cz' => 'Prbhy mench veliin', 'en' => 'Measured values history');
		break;
	case MOD_AVG:
		$libScriptName = 'avg';
		$title = array('cz' => 'Prmrn hodnoty mench veliin', 'en' => 'Average values');
		break;
	case MOD_COMPARISON:
		$libScriptName = 'comparison';
		$title = array('cz' => 'Porovnn prbh mench veliin', 'en' => 'History comparison');
		break;
	case MOD_LOGIN_CHECK:
	case MOD_CURRENT:
	case MOD_LOGOUT:
	case MOD_LOGIN:
	default:
		$libScriptName = 'current';
		$localScriptName = $libScriptName;
		$title = array('cz' => 'Posledn namen hodnoty', 'en' => 'Last measured values');
}

$browserTitle = $title[$_SESSION['lang']];
require_once LIBS_PATH.'header.inc.php';
require_once LIBS_PATH."common.lib.php";
require_once "./description.php";
if (!in_array($site, array(MOD_LOGIN, MOD_LOGOUT))) require_once LIBS_PATH.'menu.inc.php';
if (!empty($libScriptName)) require_once LIBS_PATH.$libScriptName.'.lib.php';
if (!empty($localScriptName)) require_once './'.$localScriptName.'.php';
if (!in_array($site, array(MOD_LOGIN, MOD_LOGOUT))) require_once LIBS_PATH.'footer.inc.php';
?>
