<?php
$query = "SELECT MIN(datetime) AS minDate, MAX(datetime) AS maxDate FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' LIMIT 1;";
$result = $DB->getResult($query);
$data = $result->fetchRow();

$minDate = $data['minDate'];
$maxDate = $data['maxDate'];

$startDay = $_POST['startDay'];
$startMonth = $_POST['startMonth'];
$startYear = $_POST['startYear'];

$endDay = $_POST['endDay'];
$endMonth = $_POST['endMonth'];
$endYear = $_POST['endYear'];

if (empty($startDay)) {
	$tydenOdKonceMS = strtotime(GMT2CET($maxDate)) - 6 * 24 * 3600; // delka tydne - 1 den v ms

	if (strtotime(GMT2CET($minDate)) < $tydenOdKonceMS) {
		$startDay = fGMT2CET("%d", enTimeFormat($tydenOdKonceMS));
		$startMonth = fGMT2CET("%m", enTimeFormat($tydenOdKonceMS));
		$startYear = fGMT2CET("%Y", enTimeFormat($tydenOdKonceMS));
	}
}

if (empty($startDay)) {
	$startDay = fGMT2CET("%d", $maxDate);
}
if (empty($startMonth)) {
	$startMonth = fGMT2CET("%m", $maxDate);
}
if (empty($startYear)) {
	$startYear = fGMT2CET("%Y", $maxDate);
}

if (empty($endDay)) {
	$endDay = fGMT2CET("%d", $maxDate);
}
if (empty($endMonth)) {
	$endMonth = fGMT2CET("%m", $maxDate);
}
if (empty($endYear)) {
	$endYear = fGMT2CET("%Y", $maxDate);
}

$startDate = CET2GMT(enTimeFormat(mktime(0, 0, 0, $startMonth, $startDay, $startYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT
$endDate = CET2GMT(enTimeFormat(mktime(23, 59, 59, $endMonth, $endDay, $endYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT

$_SESSION['idbs'] = encodeMyData(DBHOST);
$_SESSION['idbu'] = encodeMyData(DBUSER);
$_SESSION['idbp'] = encodeMyData(DBPWD);
$_SESSION['idbn'] = encodeMyData(DBNAME);

$valueConvertScale = $sensorValueConvertScale[$m_id.'+'.$m_item];
$valuePrecision = $sensorValuePrecision[$m_id.'+'.$m_item];

$obdobi = $_POST['obdobi'] ? $_POST['obdobi'] : 'den';
$_SESSION['hodnotaZakladna'] = $_POST['hodnotaZakladna'] ? $_POST['hodnotaZakladna'] : 0;
$_SESSION['jednotky'] = $_POST['jednotky'] ? $_POST['jednotky'] : units($m_item);

if ($obdobi == 'mesic'): // mesic
	$sql_query = "SELECT datetime AS datum, CONCAT(YEAR(datetime),'-',MONTH(datetime)) AS mesic, ROUND(AVG(value * ".($valueConvertScale ? $valueConvertScale : 1)."), ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' AND datetime >= '$startDate' AND datetime <= '$endDate' AND value > -999 GROUP BY mesic;";
	$_SESSION["polePopisuX1"] = $nadpisHeader->months;
	$_SESSION["popisX1"] = '$polePopisuX1[fGMT2CET("%m", $X[$i]) * 1];';
	$_SESSION["popisX2"] = 'fGMT2CET("%Y", $X[$i])';
elseif ($obdobi == 'tyden'): // tyden
	$sql_query = "SELECT datetime AS datum, CONCAT(YEAR(datetime),'-',WEEK(datetime)) AS tyden, ROUND(AVG(value * ".($valueConvertScale ? $valueConvertScale : 1)."), ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' AND datetime >= '$startDate' AND datetime <= '$endDate' AND value > -999 GROUP BY tyden DESC ORDER BY datum";
	$_SESSION["polePopisuX1"] = $nadpisHeader->months;
	$_SESSION["popisX1"] = 'fGMT2CET("%V", $X[$i]).". '.$average->week.'"';
	$_SESSION["popisX2"] = '$polePopisuX1[fGMT2CET("%m", $X[$i]) * 1]." - ".fGMT2CET("%Y", $X[$i])';
else: // denni
	$sql_query = "SELECT datetime AS datum, CONCAT(YEAR(datetime),'-',MONTH(datetime),'-',DAYOFMONTH(datetime)) AS den, ROUND(AVG(value * ".($valueConvertScale ? $valueConvertScale : 1)."), ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' AND datetime >= '$startDate' AND datetime <= '$endDate' AND value > -999 GROUP BY den ORDER BY datum";
	$_SESSION["polePopisuX1"] = $nadpisHeader->days;
	$_SESSION["popisX1"] = '$polePopisuX1[fGMT2CET("%w", $X[$i]) * 1];';
	$_SESSION["popisX2"] = '$_SESSION["lang"] == 1 ? substr($X[$i], 0, 10) : fGMT2CET("%d.%m.%Y", $X[$i])';
endif;

$_SESSION["sql_query"] = $sql_query;
$_SESSION["x_values"] = 'datum';
$_SESSION["y_values"] = 'hodnota';

#	echo "<br />$sql_query<br />\n"; // debug

$_SESSION["imgSizeX"] = $_POST['imgSizeX'] ? round($_POST['imgSizeX']) : 750;
$_SESSION["imgSizeY"] = $_POST['imgSizeY'] ? round($_POST['imgSizeY']) : 460;

$_SESSION["dXL"] = 10;
$_SESSION["dXP"] = 10;
$_SESSION["dYH"] = 30;
$_SESSION["dYD"] = 30;

$_SESSION["nadpisGrafu"] = '';
$_SESSION["legendaGrafu"] = '';
$_SESSION["legendaKrivky"] = '';
$_SESSION["legendaRefX"] = '';
$_SESSION["legendaRefY"] = '';

$_SESSION["divideX"] = $_POST['divideX'] ? str_replace(',', '.', $_POST['divideX']) : 3;
$_SESSION["divideY"] = $_POST['divideY'] ? str_replace(',', '.', $_POST['divideY']) : 1;

$_SESSION["graphColor"] = $graphColor;
$_SESSION["Ctl3D"] = 'on';
?>
<div align="center">
	<div class="n12"><?php echo $sensorPlacement["$m_id+$m_item"].' - '.$sensorDescript["$m_id+$m_item"].' ('.$m_item.")";?></div>
	<br />
	<img class="img_prubeh" src="<?php echo LIBS_PATH.'avg.img.php?SIDNAME='.SID_NAME;?>" alt="" height="<?php echo $_SESSION['imgSizeY'];?>" width="<?php echo $_SESSION['imgSizeX'];?>" />
</div>
<br />
<div align="left">
<form action="./?site=<?php echo MOD_AVG.'&amp;senzor='.$m_item;?>" method="post">
<input name="senzor" type="hidden" value="<?php echo $m_item;?>" />
<table cellpadding="3" cellspacing="0">
<tr>
	<td class="b_ltr"><?php echo $average->startMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($minDate, 0, 10) : fGMT2CET("%d.%m.%Y", $minDate));?>)</td>
	<td class="b_tr"><?php echo $average->endMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($maxDate, 0, 10) : fGMT2CET("%d.%m.%Y", $maxDate));?>)</td>
</tr>
<tr>
	<td class="b_lrb"><?php echo createDateComboBox('start', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $startDay, $startMonth, $startYear);?></td>
	<td class="b_rb"><?php echo createDateComboBox('end', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $endDay, $endMonth, $endYear);?></td>
</tr>
<tr>
	<td class="b_lrb" colspan="2">
		<select name="obdobi">
<?php
$obdobiNazvyValues = array_keys($average->obdobiNazvy);

foreach ($obdobiNazvyValues as $item):
?>
			<option <?php echo 'value="'.$item.'"'.($item == $obdobi ? ' selected="selected">' : '>').$average->obdobiNazvy[$item]."</option>\n";?>
<?php
endforeach;
?>
		</select>
	</td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $average->baseLine;?> = <input name="hodnotaZakladna" size="4" value="<?php echo $_SESSION['hodnotaZakladna'];?>" /></td>
	<td class="b_rb"><?php echo $average->units;?> = <input name="jednotky" size="4" value="<?php echo $_SESSION['jednotky'];?>" /></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $average->axisX;?> = <input name="divideX" size="4" value="<?php echo $_SESSION['divideX'];?>" /></td>
	<td class="b_rb"><?php echo $average->axisY;?> = <input name="divideY" size="4" value="<?php echo $_SESSION['divideY'];?>" /></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $average->sizeX;?> = <input name="imgSizeX" size="4" value="<?php echo $_SESSION['imgSizeX'];?>" /> px</td>
	<td class="b_rb"><?php echo $average->sizeY;?> = <input name="imgSizeY" size="4" value="<?php echo $_SESSION['imgSizeY'];?>" /> px</td>
</tr>
<tr>
	<td align="right" class="b_lrb" colspan="2"><input type="submit" value="<?php echo $average->show;?>" /></td>
</tr>
</table>
</form>
</div>
<?php
$DB->close();
?>
