<?php
function debug($var) {
	echo "<pre style=\"font-family: Courier;\">\n";
	print_r($var);
	echo "</pre>\n";
}

function str_item($x) {
	return "'$x'";
}

# shittime functions CET <=> GMT
function centralEuropeTimeDifference($dateTime) {
	$DST['start'] = array( // zacatky v GMT
												'1979-03-31 23:00:00',
												'1980-04-05 23:00:00',
												'1981-03-28 23:00:00',
												'1982-03-27 23:00:00',
												'1983-03-27 01:00:00', 
												'1984-03-25 01:00:00',
												'1985-03-31 01:00:00',
												'1986-03-30 01:00:00',
												'1987-03-29 01:00:00',
												'1988-03-27 01:00:00',
												'1989-03-26 01:00:00',
												'1990-03-25 01:00:00',
												'1991-03-30 01:00:00',
												'1992-03-29 01:00:00',
												'1993-03-29 01:00:00',
												'1994-03-27 01:00:00',
												'1995-03-26 01:00:00',
												'1996-03-31 01:00:00',
												'1997-03-30 01:00:00',
												'1998-03-29 01:00:00',
												'1999-03-28 01:00:00',
												'2000-03-26 01:00:00',
												'2001-03-25 01:00:00',
												'2002-03-31 01:00:00',
												'2003-03-30 01:00:00',
												'2004-03-28 01:00:00',
												'2005-03-27 01:00:00',
												'2006-03-26 01:00:00' 
												);
	$DST['end'] = array(
											'1979-09-30 01:00:00',
											'1980-09-28 01:00:00',
											'1981-09-27 01:00:00',
											'1982-09-26 01:00:00',
											'1983-09-25 03:00:00',
											'1984-09-30 03:00:00',
											'1985-09-29 03:00:00',
											'1986-09-28 03:00:00',
											'1987-09-27 03:00:00',
											'1988-09-25 03:00:00',
											'1989-09-24 03:00:00',
											'1990-09-30 03:00:00',
											'1991-09-28 03:00:00',
											'1992-09-27 03:00:00',
											'1993-09-26 03:00:00',
											'1994-09-25 03:00:00',
											'1995-09-24 03:00:00',
											'1996-10-27 03:00:00',
											'1997-10-26 03:00:00',
											'1998-10-25 03:00:00',
											'1999-10-31 03:00:00',
											'2000-10-29 03:00:00',
											'2001-10-28 03:00:00',
											'2002-10-27 03:00:00',
											'2003-10-26 03:00:00',
											'2004-10-31 03:00:00',
											'2005-10-30 03:00:00',
											'2006-10-29 03:00:00'
											);

	for ($i = 0; $i < count($DST['start']); $i++) {
		if (strtotime($DST['start'][$i]) < strtotime($dateTime) && strtotime($dateTime) <= strtotime($DST['end'][$i])) {
			 return 7200; // 7200 (+2 hodiny) posunu casoveho pasma DST oproti GMT
		}
	}
	return 3600; // 3600 sekund (+1 hodina) posunu casoveho pasma CET oproti GMT
}

function enTimeFormat($unixTimeStamp) {
	return strftime("%Y-%m-%d %H:%M:%S", $unixTimeStamp);
}

function GMT2CET($dateTime) {
	return enTimeFormat(strtotime($dateTime) + centralEuropeTimeDifference($dateTime));
}

function CET2GMT($dateTime) {
	return enTimeFormat(strtotime($dateTime) - centralEuropeTimeDifference($dateTime));
}

function GMT2CET_retTS($dateTime) {
	if (EReg("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $dateTime, $regs)) {
		return mktime($regs[4], $regs[5], $regs[6], $regs[2], $regs[3], $regs[1]) - 1 * 3600;
	}
	return null;
}

function fGMT2CET($format, $dateTime) {
	if (EReg("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $dateTime, $regs)) {
		$shiftedTime = mktime($regs[4], $regs[5], $regs[6], $regs[2], $regs[3], $regs[1]) + centralEuropeTimeDifference($dateTime);

		if (!empty($format)) {
			return strftime($format, $shiftedTime);			
		}
		return strftime("%d.%m.%Y %H:%M:%S", $shiftedTime);
	}
	return null;
}

# code/decode functions
function encodeMyData($str) {
	$encodeStr = '';
	for ($i = 0; $i < strlen($str); $i++) {
		$encodeStr .= dechex(ord($str[$i]));
	}
	return $encodeStr;
}

function decodeMyData($str) {
	$decodeStr = '';
	for ($i = 0; $i < strlen($str); $i += 2) {
		$decodeStr .= chr(hexdec($str[$i].$str[$i + 1]));
	}
	return $decodeStr;
}

# sensors property and unit definition
function units($x, $units = null) {
	ERegI('([a-zA-Z]{3}|co2|anlg)[0-9]{0,3}', $x, $regs);
	switch ($regs[1]) {
		case 'tmp':
			return 'C';
		case 'hmd':
			return '%';
		case 'co2':
		case 'co':
			return 'ppm';
		case 'anlg':
			return $units;
		case 'mem':
		default:
			return '';
	}
}

function measuredColor($x, $color = null) {
	ERegI('([a-zA-Z]{3}|co2)[0-9]{0,3}', $x, $regs);
	switch ($regs[1]) {
		case 'tmp':
			return 'red';
		case 'hmd':
			return 'green';
		case 'co2':
			return 'orange';
		case 'co':
			return 'black';
		case 'anlg':
			return $color;
		case 'mem':
		default:
			return 'black';
	}
}

# Entrak table definition
function fTableName($x) {
	ERegI('([a-zA-Z]{3}|co2)[0-9]{0,3}', $x, $regs);
	switch ($regs[1]) {
		case 'tmp':
		case 'hmd':
			return 'indoor_climate';
		case 'cnt':
			return 'energy';
		case 'occ':
			return 'operation';
		default:
			return 'monitored';
	}
}

$quantityColors = array('red', 'green', 'blue', 'brown', 'black', 'gray', 'yellow', 'orange', 'magneta', 'cyan', 'pink');
$quantityColorsDescript = $_SESSION['lang'] == 'en' ? $quantityColors : array('erven', 'zelen', 'modr', 'hnd', 'ern', 'ed', 'lut', 'oranov', 'fialov', 'azurov', 'rovouk');

# counted quantity functions
# dew point temperature
function tw($ta, $rh) {
	if ($ta >= -20 && $ta < 0) {
		$pd_syt = 4.689 * pow(1.486 + $ta / 100, 12.30);
	} elseif ($ta >= 0 && $ta <= 30) {
		$pd_syt = 288.68 * pow(1.098 + $ta / 100, 8.02);
	} elseif ($ta > 30 && $ta <= 60) {
		$pd_syt = 931.46 * pow(0.937 + $ta / 100, 7.125);
	} else {
		$pd_syt = NaN;
	}

	$pd = $rh / 100 * $pd_syt;
	if ($pd_syt > 0) {
		if ($pd >= 610.75) {
			return (236 * log($pd) - 1513.867) / (23.59 - log($pd_syt));
		} else {
			return (273 * log($pd) - 1751.21055) / (28.9205 - log($pd_syt));
		}
	}
}

# HTML functions
function createComboBox($name, $start, $end, $selected = null) {
	$select = "<select id=\"$name\" name=\"$name\">\n";
	for ($i = $start; $i <= $end; $i++) {
		$select .= "\t<option value=\"$i\"".((isset($selected) && $selected == $i) ? ' selected="selected"' : '').">$i</option>\n";
	}
	$select .= "</select>";
	return $select;
}

function createDateComboBox($prefix, $startYear, $endYear, $selDay = null, $selMonth = null, $selYear = null) {
	$d = createComboBox($prefix.'Day', 1, 31, $selDay);
	$m = createComboBox($prefix.'Month', 1, 12, $selMonth);
	$y = createComboBox($prefix.'Year', $startYear, $endYear, $selYear);

	return $_SESSION['lang'] == 'en' ? $y.'-'.$m.'-'.$d : $d.'.'.$m.'.'.$y;
}
?>
