<?php
$query = "SELECT m_id, m_item, MAX(datetime) AS lastTime FROM monitored WHERE m_id='$m_id' $sensorCondition GROUP BY m_item";
$result = $DB->getResult($query);

if ($result->getNumRows()):
?>
<div class="ntab"><?php echo $current->lastMeasuredValues;?></div>
<table cellpadding="3" cellspacing="0" summary="">
<tr><td class="b_all" colspan="6">e-box: <?php echo $public->eboxPlacement[$m_id].' ('.$m_id.")";?></td></tr>
<?php
	while ($data = $result->fetchRow()) {
		$m_id = $data['m_id'];
		$m_item_lastTime = $data['m_item'];
		$lastTime = $data['lastTime'];

		$valueConvertScale = $sensorValueConvertScale[$m_id.'+'.$m_item_lastTime];
		$valuePrecision = $sensorValuePrecision[$m_id.'+'.$m_item_lastTime];

		$query = "SELECT datetime AS datumCas, ROUND(value * ".($valueConvertScale ? $valueConvertScale : 1).",".($valuePrecision != '' ? $valuePrecision : 1).") AS lastValue FROM monitored WHERE m_id='$m_id' AND m_item='$m_item_lastTime' AND datetime='$lastTime'";
		$lastValues = $DB->getResult($query);

		while (@$data = $lastValues->fetchRow()) {
			if ($m_item_lastTime == $taSensor[$m_id]) {
				$ta = $data['lastValue'];
			} elseif ($m_item_lastTime == $rhSensor[$m_id]) {
				$rh = $data['lastValue'];
			} elseif ($m_item_lastTime == $tpSensor[$m_id]) {
				$tp = $data['lastValue'];
			} elseif ($m_item_lastTime == $tvSensor[$m_id]) {
				$tv = $data['lastValue'];
			}

			echo "<tr>\n".
					 '<td class="b_lrb">'.$sensorDescript["$m_id+$m_item_lastTime"].' ('.$m_item_lastTime.")</td>\n".
					 '<td class="b_rb">'.fGMT2CET('', $data['datumCas'])."</td>\n".
					 '<td class="b_rb">'.$data['lastValue'].' '.units($m_item_lastTime, isset($sensorUnits["$m_id+$m_item_lastTime"]) ? $sensorUnits["$m_id+$m_item_lastTime"] : null)."</td>\n".
					 '<td class="b_rb"><a href="./?site='.MOD_TABLES.'&amp;senzor='.$m_item_lastTime.'"><img class="img_ico" src="../images/ico-tab.gif" width="18" height="17" alt="" /></a></td>'."\n".
					 '<td class="b_rb"><a href="./?site='.MOD_HISTORY.'&amp;senzor='.$m_item_lastTime.'"><img class="img_ico" src="../images/ico-prubeh.gif" width="17" height="17" alt="" /></a></td>'."\n".
					 '<td class="b_rb"><a href="./?site='.MOD_AVG.'&amp;senzor='.$m_item_lastTime.'"><img class="img_ico" src="../images/ico-prumer.gif" width="18" height="17" alt="" /></a></td>'."\n".
					 "</tr>\n";
		}
	}
?>
</table>
<br />
<?php
endif;
?>
