<?php
$query = "SELECT MIN(datetime) AS minDate, MAX(datetime) AS maxDate FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' LIMIT 1;";
$result = $DB->getResult($query);
$data = $result->fetchRow();

$minDate = $data['minDate'];
$maxDate = $data['maxDate'];

$startDay = $_POST['startDay'];
$startMonth = $_POST['startMonth'];
$startYear = $_POST['startYear'];

$endDay = $_POST['endDay'];
$endMonth = $_POST['endMonth'];
$endYear = $_POST['endYear'];

if (empty($startDay)) {
	$tydenOdKonceMS = strtotime(GMT2CET($maxDate)) - 6 * 24 * 3600; // delka tydne - 1 den v ms

	if (strtotime(GMT2CET($minDate)) < $tydenOdKonceMS) {
		$startDay = fGMT2CET("%d", enTimeFormat($tydenOdKonceMS));
		$startMonth = fGMT2CET("%m", enTimeFormat($tydenOdKonceMS));
		$startYear = fGMT2CET("%Y", enTimeFormat($tydenOdKonceMS));
	}
}

if (empty($startDay)) {
	$startDay = fGMT2CET("%d", $maxDate);
}
if (empty($startMonth)) {
	$startMonth = fGMT2CET("%m", $maxDate);
}
if (empty($startYear)) {
	$startYear = fGMT2CET("%Y", $maxDate);
}

if (empty($endDay)) {
	$endDay = fGMT2CET("%d", $maxDate);
}
if (empty($endMonth)) {
	$endMonth = fGMT2CET("%m", $maxDate);
}
if (empty($endYear)) {
	$endYear = fGMT2CET("%Y", $maxDate);
}

$startDate = CET2GMT(enTimeFormat(mktime(0, 0, 0, $startMonth, $startDay, $startYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT
$endDate = CET2GMT(enTimeFormat(mktime(23, 59, 59, $endMonth, $endDay, $endYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT

$_SESSION['idbs'] = encodeMyData(DBHOST);
$_SESSION['idbu'] = encodeMyData(DBUSER);
$_SESSION['idbp'] = encodeMyData(DBPWD);
$_SESSION['idbn'] = encodeMyData(DBNAME);

$valueConvertScale = $sensorValueConvertScale[$m_id.'+'.$m_item];
$valuePrecision = $sensorValuePrecision[$m_id.'+'.$m_item];

$_SESSION['sql_query'] = array("SELECT UNIX_TIMESTAMP(datetime) AS datumCas, ROUND(value * ".($valueConvertScale ? $valueConvertScale : 1).", ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' AND datetime >= '$startDate' AND datetime <= '$endDate' AND value > -999 ORDER BY datumCas;");

$_SESSION['x_values'] = 'datumCas';
$_SESSION['y_values'] = 'hodnota';

$_SESSION['x_start'] = strtotime($startDate);
$_SESSION['x_end'] = strtotime($endDate);

//	echo "<br />".$_SESSION['sql_query'][0]."<br />\n"; // debug

$_SESSION['imgSizeX'] = $_POST['imgSizeX'] ? round($_POST['imgSizeX']) : 750;
$_SESSION['imgSizeY'] = $_POST['imgSizeY'] ? round($_POST['imgSizeY']) : 460;
$_SESSION['refValueX'] = 'NULL'; // zadna hodnota se zada pomoci 'NULL'
$_SESSION['refValueY'] = 'NULL'; // zadna hodnota se zada pomoci 'NULL'

$_SESSION['dXL'] = 45;
$_SESSION['dXP'] = 10;
$_SESSION['dYH'] = 10;
$_SESSION['dYD'] = 140;

$_SESSION['nadpisGrafu'] = '';
$_SESSION['legendaGrafu'] = '';
$_SESSION['legendaKrivky'] = '';
$_SESSION['legendaRefX'] = '';
$_SESSION['legendaRefY'] = '';

$_SESSION['divideX'] = ($_POST['divideX'] ? str_replace(',', '.', $_POST['divideX']) : 3) * 3600;
$_SESSION['divideY'] = $_POST['divideY'] ? str_replace(',', '.', $_POST['divideY']) : 1;

$_SESSION['barvy'] = array("$graphColor");
$_SESSION['maxTimeoutBetween2values'] = 20 * 60; // 20 minut * 60 sekund

$jednotky = units($m_item);
?>
<div align="center">
	<div class="n12"><?php echo $sensorPlacement["$m_id+$m_item"].' - '.$sensorDescript["$m_id+$m_item"].($jednotky ? " [$jednotky]" : '').' ('.$m_item.")";?></div>
	<br />
	<img class="img_prubeh" src="<?php echo LIBS_PATH.'history.img.php?SIDNAME='.SID_NAME;?>" alt="" height="<?php echo $_SESSION['imgSizeY'];?>" width="<?php echo $_SESSION['imgSizeX'];?>" />
</div>
<br />
<div align="left">
<form action="./?site=<?php echo MOD_HISTORY.'&amp;senzor='.$m_item;?>" method="post">
<table cellpadding="3" cellspacing="0" summary="">
<tr>
	<td class="b_ltr"><?php echo $history->startMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($minDate, 0, 10) : fGMT2CET("%d.%m.%Y", $minDate));?>)</td>
	<td class="b_tr"><?php echo $history->endMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($maxDate, 0, 10) : fGMT2CET("%d.%m.%Y", $maxDate));?>)</td>
</tr>
<tr>
	<td class="b_lrb"><?php echo createDateComboBox('start', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $startDay, $startMonth, $startYear);?></td>
	<td class="b_rb"><?php echo createDateComboBox('end', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $endDay, $endMonth, $endYear);?></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $history->axisX;?> = <input name="divideX" size="4" value="<?php echo $_SESSION['divideX'] / 3600;?>" /></td>
	<td class="b_rb"><?php echo $history->axisY;?> = <input name="divideY" size="4" value="<?php echo $_SESSION['divideY'];?>" /></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $history->sizeX;?> = <input name="imgSizeX" size="4" value="<?php echo $_SESSION['imgSizeX'];?>" /> px</td>
	<td class="b_rb"><?php echo $history->sizeY;?> = <input name="imgSizeY" size="4" value="<?php echo $_SESSION['imgSizeY'];?>" /> px</td>
</tr>
<tr>
	<td align="right" class="b_lrb" colspan="2"><input type="submit" value="<?php echo $history->show;?>" /></td>
</tr>
</table>
</form>
</div>
<?php
$DB->close();
?>
