<?php
$query = "SELECT MIN(datetime) AS minDate, MAX(datetime) AS maxDate FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' LIMIT 1;";
$result = $DB->getResult($query);
$data = $result->fetchRow();

$minDate = $data['minDate'];
$maxDate = $data['maxDate'];

$startDay = $_POST['startDay'];
$startMonth = $_POST['startMonth'];
$startYear = $_POST['startYear'];

$endDay = $_POST['endDay'];
$endMonth = $_POST['endMonth'];
$endYear = $_POST['endYear'];

if (empty($startDay)) {
	$startDay = fGMT2CET("%d", $maxDate);
}
if (empty($startMonth)) {
	$startMonth = fGMT2CET("%m", $maxDate);
}
if (empty($startYear)) {
	$startYear = fGMT2CET("%Y", $maxDate);
}

if (empty($endDay)) {
	$endDay = fGMT2CET("%d", $maxDate);
}
if (empty($endMonth)) {
	$endMonth = fGMT2CET("%m", $maxDate);
}
if (empty($endYear)) {
	$endYear = fGMT2CET("%Y", $maxDate);
}

$startDate = CET2GMT(enTimeFormat(mktime(0, 0, 0, $startMonth, $startDay, $startYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT
$endDate = CET2GMT(enTimeFormat(mktime(23, 59, 59, $endMonth, $endDay, $endYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT

$convertFunction = $sensorConvertFunction[$m_id.'+'.$m_item];

$valueConvertScale = $sensorValueConvertScale[$m_id.'+'.$m_item];
$valuePrecision = $sensorValuePrecision[$m_id.'+'.$m_item];

$query = "SELECT datetime AS datumCas, ROUND(value * ".($valueConvertScale ? $valueConvertScale : 1).", ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='$m_id' AND m_item='$m_item' AND datetime >= '$startDate' AND datetime <= '$endDate' ORDER BY datumCas;";
$result = $DB->getResult($query);

if ($result->getNumRows()):
?>
<div align="left">
	<div class="n12"><?php echo $sensorPlacement["$m_id+$m_item"].' - '.$sensorDescript["$m_id+$m_item"].' ('.$m_item.")";?></div>
	<br />
<form action="./?site=<?php echo MOD_TABLES.'&amp;senzor='.$m_item;?>" method="post">
<table cellspacing="0" summary="">
<tr>
	<td class="b_ltr"><?php echo $tables->startMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($minDate, 0, 10) : fGMT2CET("%d.%m.%Y", $minDate));?>)</td>
	<td class="b_tr"><?php echo $tables->endMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($maxDate, 0, 10) : fGMT2CET("%d.%m.%Y", $maxDate));?>)</td>
</tr>
<tr>
	<td class="b_lrb"><?php echo createDateComboBox('start', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $startDay, $startMonth, $startYear);?></td>
	<td class="b_rb"><?php echo createDateComboBox('end', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $endDay, $endMonth, $endYear);?></td>
</tr>
<tr>
	<td align="right" class="b_lrb" colspan="2"><input type="submit" value="<?php echo $tables->show;?>" /></td>
</tr>
</table>
</form>
<table class="tabOfValues" cellspacing="0" summary="">
<?php
	$pocetSloupcu = 4;
	$i = 0;
	$prevDateToTable = '';
	while ($data = $result->fetchRow()):
		$dateToTable = $_SESSION['lang'] == 'en' ? substr($data['datumCas'], 0, 10) : fGMT2CET("%d.%m.%Y", $data['datumCas']);
		$timeToTable = $_SESSION['lang'] == 'en' ? substr($data['datumCas'], 11) : fGMT2CET("%H:%M:%S", $data['datumCas']);

		if ($prevDateToTable != $dateToTable):
			if ($i):
?>
</table>
</td>
<?php
			endif;
			if ($i % $pocetSloupcu == 0) {
				if ($i) {
					echo "</tr>\n";
				}

				echo "<tr valign=\"top\">\n";
			}
?>
<td class="tabOfValues">
	<table class="a" cellspacing="0" summary="">
	<tr>
		<td class="b_all"><?php echo $tables->date;?></td>
		<td class="b_trb"><?php echo $tables->time;?></td>
		<td class="b_trb"><?php echo $tables->value.' ['.units($m_item, 'ppm');?>]</td>
	</tr>
<?php
			$i++;
		endif;

		echo '<tr><td class="b_lrb">'.($prevDateToTable != $dateToTable ? $dateToTable : '&nbsp;').'</td><td class="b_rb">'.$timeToTable.'</td><td class="b_rb">'.$data['hodnota']."</td></tr>\n";

		if ($prevDateToTable != $dateToTable) {
			$prevDateToTable = $dateToTable;
		}

	endwhile;
?>
	</table>
</td>
<?php
	while ($i % $pocetSloupcu) {
		echo "<td>&nbsp;</td>\n";
		$i++;
	}
?>
</tr>
</table>
<?php
endif;
?>
</div>
<?php
$DB->close();
?>