<?
switch ($_SESSION['lang']) {
	case 'en':
		$menu->eboxes = 'e-boxes';
		$menu->tables = 'Tables with measured values';
		$menu->history = 'Measured values history';
		$menu->average = 'Average measured values';
		$menu->compare = 'Comparison of values history';
		$menu->logout = 'Logout';

		$current->lastMeasuredValues = 'The last measured values';
		$current->countedData = 'The counted data';
		$current->DewPointTemp = 'Dew point temperature';

		$tables->startMonitoring = 'Start (monitored from';
		$tables->endMonitoring = 'End (monitored till';
		$tables->show = 'Show table'; 
		$tables->date = 'Date';
		$tables->time = 'Time'; 
		$tables->value = 'Value'; 

		$history->startMonitoring = 'Start (monitored from';
		$history->endMonitoring = 'End (monitored till';
		$history->axisX = 'Divide X';
		$history->axisY = 'Divide Y';
		$history->sizeX = 'Size X';
		$history->sizeY = 'Size Y';
		$history->show = 'Show history'; 

		$average->startMonitoring = 'Start (monitored from';
		$average->endMonitoring = 'End (monitored till';
		$average->baseLine = 'Base line';
		$average->units = 'Units';
		$average->axisX = 'Divide X';
		$average->axisY = 'Divide Y';
		$average->sizeX = 'Size X';
		$average->sizeY = 'Size Y';
		$average->show = 'Show average values'; 
		$average->obdobiNazvy = array();
		$average->obdobiNazvy['den'] = "Day's average values";
		$average->obdobiNazvy['tyden'] = "Week's average values";
		$average->obdobiNazvy['mesic'] = "Month's average values";
		$average->week = 'week';

		$compare->title = 'Comparison of values history';
		$compare->quantities = 'Measured quantities';
		$compare->scale = 'Scale';
		$compare->startMonitoring = 'Start (monitored from';
		$compare->endMonitoring = 'End (monitored till';
		$compare->axisX = 'Divide X';
		$compare->axisY = 'Divide Y';
		$compare->sizeX = 'Size X';
		$compare->sizeY = 'Size Y';
		$compare->show = 'Show comparison history'; 

		$logout->title = 'Access denied';
		$logout->login = 'Smarthomes login';
		$logout->logout = 'Smarthomes logout';

		$nadpisHeader->months = array(1 => 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
		$nadpisHeader->days = array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
		break;

	case 'cz':
	default:
		$menu->eboxes = 'e-boxy';
		$menu->tables = 'Tabulky mench veliin';
		$menu->history = 'Prbhy mench veliin';
		$menu->average = 'Prmrn hodnoty mench veliin';
		$menu->compare = 'Porovnn prbh veliin';
		$menu->logout = 'Odhlen';

		$current->lastMeasuredValues = 'Posledn namen hodnoty';
		$current->countedData = 'Vypoten veliiny z poslednch namench hodnot';
		$current->DewPointTemp = 'Teplota rosnho bodu';

		$tables->startMonitoring = 'Start (meno od';
		$tables->endMonitoring = 'Konec (meno do'; 
		$tables->show = 'Zobrazit tabulku'; 
		$tables->date = 'Datum';
		$tables->time = 'as'; 
		$tables->value = 'Hodnota'; 

		$history->startMonitoring = 'Start (meno od';
		$history->endMonitoring = 'Konec (meno do'; 
		$history->axisX = 'Dlen X';
		$history->axisY = 'Dlen Y';
		$history->sizeX = 'Rozmr X';
		$history->sizeY = 'Rozmr Y';
		$history->show = 'Zobrazit prbh'; 

		$average->startMonitoring = 'Start (meno od';
		$average->endMonitoring = 'Konec (meno do';
		$average->baseLine = 'Zkladna';
		$average->units = 'Jednotky';
		$average->axisX = 'Dlen X';
		$average->axisY = 'Dlen Y';
		$average->sizeX = 'Rozmr X';
		$average->sizeY = 'Rozmr Y';
		$average->show = 'Zobrazit prmrn hodnoty'; 
		$average->obdobiNazvy = array();
		$average->obdobiNazvy['den'] = 'Denn prmrn hodnoty';
		$average->obdobiNazvy['tyden'] = 'Tdenn prmrn hodnoty';
		$average->obdobiNazvy['mesic'] = 'Msn prmrn hodnoty';
		$average->week = 'tden';

		$compare->title = 'Porovnn prbh mench veliin';
		$compare->quantities = 'Men veliiny';
		$compare->scale = 'Mtko';
		$compare->startMonitoring = 'Start (meno od';
		$compare->endMonitoring = 'Konec (meno do'; 
		$compare->axisX = 'Dlen X';
		$compare->axisY = 'Dlen Y';
		$compare->sizeX = 'Rozmr X';
		$compare->sizeY = 'Rozmr Y';
		$compare->show = 'Zobrazit porovnn prbh'; 

		$logout->title = 'Neautorizovan pstup';
		$logout->login = 'Pihlen k uivatelsk slub Smarthome';
		$logout->logout = 'Byl jste odhlen z uivatelsk sluby Smarthome';

		$nadpisHeader->months = array(1 => 'leden', 'nor', 'bezen', 'duben', 'kvten', 'erven',	'ervenec', 'srpen', 'z', 'jen', 'listopad', 'prosinec');
		$nadpisHeader->days = array('nedle', 'pondl', 'ter', 'steda', 'tvrtek', 'ptek', 'sobota');
}

$public->eboxPlacement = array('A062467173' => 'Kabinet A030', 'A062470953' => 'Kabinet A122');
$public->ebox = array_keys($public->eboxPlacement);

// senzory v kabinetu A030, napojene na ebox A062467173
$sensorPlacement[$public->ebox[0].'+tmp1'] = 'Kabinet A030';
$sensorDescript[$public->ebox[0].'+tmp1'] = 'teplota pvodu';
$sensorValueConvertScale[$public->ebox[0].'+tmp1'] = '1';
$sensorValuePrecision[$public->ebox[0].'+tmp1'] = '1';

$sensorPlacement[$public->ebox[0].'+tmp2'] = 'Kabinet A030';
$sensorDescript[$public->ebox[0].'+tmp2'] = 'teplota zpteky';
$sensorValueConvertScale[$public->ebox[0].'+tmp2'] = '1';
$sensorValuePrecision[$public->ebox[0].'+tmp2'] = '1';

$sensorPlacement[$public->ebox[0].'+tmp21'] = 'Kabinet A030';
$sensorDescript[$public->ebox[0].'+tmp21'] = 'teplota vzduchu';
$sensorValueConvertScale[$public->ebox[0].'+tmp21'] = '1';
$sensorValuePrecision[$public->ebox[0].'+tmp21'] = '1';

$sensorPlacement[$public->ebox[0].'+hmd22'] = 'Kabinet A030';
$sensorDescript[$public->ebox[0].'+hmd22'] = 'relativn vlhkost vzduchu';
$sensorValueConvertScale[$public->ebox[0].'+hmd22'] = '1';
$sensorValuePrecision[$public->ebox[0].'+hmd22'] = '1';

// senzory v kabinetu A122, napojene na ebox A062470953
$sensorPlacement[$public->ebox[1].'+tmp25'] = 'Kabinet A122';
$sensorDescript[$public->ebox[1].'+tmp25'] = 'teplota vzduchu';
$sensorValueConvertScale[$public->ebox[1].'+tmp25'] = '1';
$sensorValuePrecision[$public->ebox[1].'+tmp25'] = '1';

$sensorPlacement[$public->ebox[1].'+hmd26'] = 'Kabinet A122';
$sensorDescript[$public->ebox[1].'+hmd26'] = 'relativn vlhkost vzduchu';
$sensorValueConvertScale[$public->ebox[1].'+hmd26'] = '1';
$sensorValuePrecision[$public->ebox[1].'+hmd26'] = '1';

// senzory pro vypocet rosneho bodu
$taSensor = array($public->ebox[0] => 'tmp21', $public->ebox[1] => 'tmp25');
$rhSensor = array($public->ebox[0] => 'hmd22', $public->ebox[1] => 'hmd26');

// senzory pro vypocet vykonu telesa
$tpSensor = array($public->ebox[0] => 'tmp1');
$tvSensor = array($public->ebox[0] => 'tmp2');

// otopna telesa
$telesa = array();
$telesa[$public->ebox[0]]['teleso'][0] = 'KORADO 22-6100-5';
$telesa[$public->ebox[0]]['QD'][0] = 1679;
$telesa[$public->ebox[0]]['t1D'][0] = 75;
$telesa[$public->ebox[0]]['t2D'][0] = 65;
$telesa[$public->ebox[0]]['tiD'][0] = 20;
$telesa[$public->ebox[0]]['n'][0] = 1.335;

$telesa[$public->ebox[0]]['teleso'][1] = 'KORADO 11-6100-5';
$telesa[$public->ebox[0]]['QD'][1] = 711;
$telesa[$public->ebox[0]]['t1D'][1] = 70;
$telesa[$public->ebox[0]]['t2D'][1] = 55;
$telesa[$public->ebox[0]]['tiD'][1] = 24;
$telesa[$public->ebox[0]]['n'][1] = 1.311;

$sensorCondition = "AND m_code='mida'";
?>