<?php
switch ($_SESSION['lang']) {
	case 'en':
		$menu->eboxes = 'e-boxes';
		$menu->tables = 'Tables with measured values';
		$menu->history = 'Measured values history';
		$menu->average = 'Average measured values';
		$menu->compare = 'Comparison of values history';

		$current->lastMeasuredValues = 'The last measured values';
		$current->countedData = 'The counted data';
		$current->DewPointTemp = 'Dew point temperature';

		$tables->startMonitoring = 'Start (monitored from';
		$tables->endMonitoring = 'End (monitored till';
		$tables->show = 'Show table'; 
		$tables->date = 'Date';
		$tables->time = 'Time'; 
		$tables->value = 'Value'; 

		$history->startMonitoring = 'Start (monitored from';
		$history->endMonitoring = 'End (monitored till';
		$history->axisX = 'Divide X';
		$history->axisY = 'Divide Y';
		$history->sizeX = 'Size X';
		$history->sizeY = 'Size Y';
		$history->show = 'Show history'; 

		$average->startMonitoring = 'Start (monitored from';
		$average->endMonitoring = 'End (monitored till';
		$average->baseLine = 'Base line';
		$average->units = 'Units';
		$average->axisX = 'Divide X';
		$average->axisY = 'Divide Y';
		$average->sizeX = 'Size X';
		$average->sizeY = 'Size Y';
		$average->show = 'Show average values'; 
		$average->obdobiNazvy = array();
		$average->obdobiNazvy['den'] = "Day's average values";
		$average->obdobiNazvy['tyden'] = "Week's average values";
		$average->obdobiNazvy['mesic'] = "Month's average values";
		$average->week = 'week';

		$compare->title = 'Comparison of values history';
		$compare->quantities = 'Measured quantities';
		$compare->scale = 'Scale';
		$compare->startMonitoring = 'Start (monitored from';
		$compare->endMonitoring = 'End (monitored till';
		$compare->axisX = 'Divide X';
		$compare->axisY = 'Divide Y';
		$compare->sizeX = 'Size X';
		$compare->sizeY = 'Size Y';
		$compare->show = 'Show comparison history'; 

		$nadpisHeader->months = array(1 => 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
		$nadpisHeader->days = array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
		break;

	case 'cz':
	default:
		$menu->eboxes = 'e-boxy';
		$menu->tables = 'Tabulky mench veliin';
		$menu->history = 'Prbhy mench veliin';
		$menu->average = 'Prmrn hodnoty mench veliin';
		$menu->compare = 'Porovnn prbh veliin';

		$current->lastMeasuredValues = 'Posledn namen hodnoty';
		$current->countedData = 'Vypoten veliiny z poslednch namench hodnot';
		$current->DewPointTemp = 'Teplota rosnho bodu';

		$tables->startMonitoring = 'Start (meno od';
		$tables->endMonitoring = 'Konec (meno do'; 
		$tables->show = 'Zobrazit tabulku'; 
		$tables->date = 'Datum';
		$tables->time = 'as'; 
		$tables->value = 'Hodnota'; 

		$history->startMonitoring = 'Start (meno od';
		$history->endMonitoring = 'Konec (meno do'; 
		$history->axisX = 'Dlen X';
		$history->axisY = 'Dlen Y';
		$history->sizeX = 'Rozmr X';
		$history->sizeY = 'Rozmr Y';
		$history->show = 'Zobrazit prbh'; 

		$average->startMonitoring = 'Start (meno od';
		$average->endMonitoring = 'Konec (meno do';
		$average->baseLine = 'Zkladna';
		$average->units = 'Jednotky';
		$average->axisX = 'Dlen X';
		$average->axisY = 'Dlen Y';
		$average->sizeX = 'Rozmr X';
		$average->sizeY = 'Rozmr Y';
		$average->show = 'Zobrazit prmrn hodnoty'; 
		$average->obdobiNazvy = array();
		$average->obdobiNazvy['den'] = 'Denn prmrn hodnoty';
		$average->obdobiNazvy['tyden'] = 'Tdenn prmrn hodnoty';
		$average->obdobiNazvy['mesic'] = 'Msn prmrn hodnoty';
		$average->week = 'tden';

		$compare->title = 'Porovnn prbh mench veliin';
		$compare->quantities = 'Men veliiny';
		$compare->scale = 'Mtko';
		$compare->startMonitoring = 'Start (meno od';
		$compare->endMonitoring = 'Konec (meno do'; 
		$compare->axisX = 'Dlen X';
		$compare->axisY = 'Dlen Y';
		$compare->sizeX = 'Rozmr X';
		$compare->sizeY = 'Rozmr Y';
		$compare->show = 'Zobrazit porovnn prbh'; 

		$nadpisHeader->months = array(1 => 'leden', 'nor', 'bezen', 'duben', 'kvten', 'erven',	'ervenec', 'srpen', 'z', 'jen', 'listopad', 'prosinec');
		$nadpisHeader->days = array('nedle', 'pondl', 'ter', 'steda', 'tvrtek', 'ptek', 'sobota');
}

$public->eboxPlacement = array('A062475339' => 'Demonstration laboratory');
$public->ebox = array_keys($public->eboxPlacement);

// senzory na Demonstracni laboratori, napojene na ebox
$sensorPlacement[$public->ebox[0].'+tmp21'] = 'Demonstration laboratory';
$sensorDescript[$public->ebox[0].'+tmp21'] = 'air temperature';
$sensorValueConvertScale[$public->ebox[0].'+tmp21'] = '1';
$sensorValuePrecision[$public->ebox[0].'+tmp21'] = '1';

$sensorPlacement[$public->ebox[0].'+hmd22'] = 'Demonstration laboratory';
$sensorDescript[$public->ebox[0].'+hmd22'] = 'relative humidity';
$sensorValueConvertScale[$public->ebox[0].'+hmd22'] = '1';
$sensorValuePrecision[$public->ebox[0].'+hmd22'] = '1';

$sensorPlacement[$public->ebox[0].'+occ61'] = 'Demonstration laboratory';
$sensorDescript[$public->ebox[0].'+occ61'] = 'occupancy sensor';
$sensorValueConvertScale[$public->ebox[0].'+occ61'] = '10';
$sensorValuePrecision[$public->ebox[0].'+occ61'] = '0';

$sensorPlacement[$public->ebox[0].'+anlg191'] = 'Demonstration laboratory';
$sensorDescript[$public->ebox[0].'+anlg191'] = 'concentration CO<sub>2</sub>';
$sensorValueConvertScale[$public->ebox[0].'+anlg191'] = '200';
$sensorValuePrecision[$public->ebox[0].'+anlg191'] = '0';
$sensorUnits[$public->ebox[0].'+anlg191'] = 'ppm';

// senzory pro vypocet rosneho bodu
$taSensor = array($public->ebox[0] => 'tmp21');
$rhSensor = array($public->ebox[0] => 'hmd22');

$sensorCondition = "AND m_code='mida' AND (m_item='tmp21' OR m_item='hmd22' OR m_item='occ61' OR m_item='anlg191')";
?>