<?php
session_name($_GET['SIDNAME']);
session_start();

define('LIBS_PATH', '../libs/');

require_once LIBS_PATH."common.lib.php";

define('DBHOST', decodeMyData($_SESSION['idbs']));
define('DBUSER', decodeMyData($_SESSION['idbu']));
define('DBNAME', decodeMyData($_SESSION['idbn']));
define('DBPWD', decodeMyData($_SESSION['idbp']));

require_once LIBS_PATH."DBsupport.lib.php";

function verticalLine($img, $x, $y1, $y2, $color) {
	imageLine($img, $x, $y1, $x, $y2, $color);
}

function horizontalLine($img, $x1, $x2, $y, $color) {
	imageLine($img, $x1, $y, $x2, $y, $color);
}

function minimum($refValue, $x) {
	return ($refValue != 'NULL') ? min($refValue, min($x)) : min($x);
}

function maximum($refValue, $x) {
	return ($refValue != 'NULL') ? max($refValue, max($x)) : max($x);
}

$imgSizeX = $_SESSION['imgSizeX'];
$imgSizeY = $_SESSION['imgSizeY'];
$graphColor = $_SESSION['graphColor'];
$dXL = $_SESSION['dXL'];
$dXP = $_SESSION['dXP'];
$dYH = $_SESSION['dYH'];
$dYD = $_SESSION['dYD'];

$sql_query = $_SESSION['sql_query'];

$x_values = $_SESSION['x_values'];
$y_values = $_SESSION['y_values'];

$hodnotaZakladna = $_SESSION['hodnotaZakladna'];
$divideY = $_SESSION['divideY'];

$jednotky = $_SESSION['jednotky'];
$Ctl3D = $_SESSION['Ctl3D'];

$polePopisuX1 = $_SESSION["polePopisuX1"];
$popisX1 = $_SESSION['popisX1'];
$popisX2 = $_SESSION['popisX2'];
$nadpisGrafu = $_SESSION['nadpisGrafu'];

if ($im = ImageCreate($imgSizeX, $imgSizeY)) { // sirka, vyska
	Header ("Content-type: image/png");

	require LIBS_PATH."colors.img.php";

	eval('$graphColor = $'.$graphColor.';');

	$rozmerVeSmeruRozsahuHodnot = imageSY($im);
	$d1rozmerVeSmeruRozsahuHodnot = $dYH;
	$d2rozmerVeSmeruRozsahuHodnot = $dYD;

	$rozmerVeSmeruZakladny = imageSX($im);
	$d1rozmerVeSmeruZakladny = $dXL;
	$d2rozmerVeSmeruZakladny = $dXP;

/*
	// vykresleni ohraniceni obrazku
	imageLine($im, 0, 0, $rozmerVeSmeruZakladny, 0, $black);
	imageLine($im, 0, $rozmerVeSmeruRozsahuHodnot - 1, $rozmerVeSmeruZakladny, $rozmerVeSmeruRozsahuHodnot - 1, $black);
	imageLine($im, 0, 0, 0, $rozmerVeSmeruRozsahuHodnot, $black);
	imageLine($im, $rozmerVeSmeruZakladny - 1, 0, $rozmerVeSmeruZakladny - 1, $rozmerVeSmeruRozsahuHodnot, $black);

	// vykresleni ohraniceni grafu
	imageLine($im, $d1rozmerVeSmeruZakladny, $d1rozmerVeSmeruRozsahuHodnot, $rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny, $d1rozmerVeSmeruRozsahuHodnot, $black);
	imageLine($im, $d1rozmerVeSmeruZakladny, $rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot, $rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny, $rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot, $black);
	imageLine($im, $d1rozmerVeSmeruZakladny, $d1rozmerVeSmeruRozsahuHodnot, $d1rozmerVeSmeruZakladny, $rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot, $black);
	imageLine($im, $rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny, $d1rozmerVeSmeruRozsahuHodnot, $rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny, $rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot, $black);
*/
	// nadefinovani parametru podle hodnot
	// je-li vyplneno X, budou se hodnoty vynaset horizontalne
	// neni-li vyplneno X || Y, tak jsi hnup a nekresli graf!

	$result = $DB->getResult($sql_query);
	$X = array();
	$Y = array();
	while ($data = $result->fetchRow()) {
		$X[] = $data[$x_values];
		$Y[] = $data[$y_values];
	}
	$DB->close();

	$hodnoty = $Y;
	$minValues = min($hodnotaZakladna, min($hodnoty));
	$maxValues = max($hodnotaZakladna, max($hodnoty));
	$min = floor($minValues / $divideY) * $divideY;
	$max = ceil($maxValues / $divideY) * $divideY;
	$mer = ($rozmerVeSmeruRozsahuHodnot - $d1rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot) / ($max - $min);

	$minHodnota = $maxValues;

	$posunGrafu = (($rozmerVeSmeruRozsahuHodnot - $d1rozmerVeSmeruRozsahuHodnot - $d2rozmerVeSmeruRozsahuHodnot) - ($maxValues - $minValues) * $mer) / 2;

	$f = 4;

	$a = $f * ($rozmerVeSmeruZakladny - $d1rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny) / (1 + (1 + $f) * count($hodnoty));

	$zakladnaPixels = $d1rozmerVeSmeruRozsahuHodnot - round(($hodnotaZakladna - $minHodnota) * $mer);
	$A = $zakladnaPixels;

	// delka usecky pod 45 stupni
	$d45 = round(sqrt(2 * $a / $f));
	// polovina mezery mezi sloupci
	$df2 = round($a / ($f * 2));

	for ($i = 0; $i < count($hodnoty); $i++) {
		$B = round($d1rozmerVeSmeruZakladny + ($i * $a) + ($i + 1) * $a / $f);
		$C = round($A - $mer * ($hodnoty[$i] - $hodnotaZakladna));
		$D = round($B + $a);

		$X1 = ($B < $D) ? $B : $D;
		$X2 = ($B < $D) ? $D : $B;
		$Y1 = ($A < $C) ? $A : $C;
		$Y2 = ($A < $C) ? $C : $A;

		$text = sprintf("%.1f", $hodnoty[$i]).($jednotky ? ' '.$jednotky : '');
		imagestring($im, 3, $B + $a / 2 - floor(imageFontWidth(3) * strLen($text) / 2) + ($hodnotaZakladna - $hodnoty[$i] > 0 ? + ($Ctl3D ? $d45 : 0) : 5), $zakladnaPixels + ($hodnotaZakladna - $hodnoty[$i] > 0 ? - floor(imageFontHeight(3)) - 5 - ($Ctl3D ? $d45 : 0) : 5), $text, $black);

		if ($Ctl3D) {
			// zakladna
			horizontalLine($im, $X1, $X1 - $df2, $zakladnaPixels, $graphColor);
			if (!$i) {
				imageLine($im, $X1 - $df2, $zakladnaPixels, $X1 - $df2 + $d45, $zakladnaPixels - $d45, $graphColor);
			}
			horizontalLine($im, $X1 - $df2 + $d45, $X1, $zakladnaPixels - $d45, $graphColor);
			if ($hodnotaZakladna >= $hodnoty[$i]) {
				horizontalLine($im, $X1 + $d45, $X1, $zakladnaPixels - $d45, $graphColor);
			}
			horizontalLine($im, $X2, $X2 + $df2, $zakladnaPixels, $graphColor);
			horizontalLine($im, $X2 + $d45, $X2 + $d45 + $df2, $zakladnaPixels - $d45, $graphColor);

			// bocnice
			imageLine($im, $X2, $Y1, $X2 + $d45, $Y1 - $d45, $graphColor);
			verticalLine($im, $X2 + $d45, $Y1 - $d45, $Y2 - $d45, $graphColor);
			imageLine($im, $X2 + $d45, $Y2 - $d45, $X2, $Y2, $graphColor);

			// horni viko
			imageLine($im, $X1, $Y1, $X1 + $d45, $Y1 - $d45, $graphColor);
			horizontalLine($im, $X1 + $d45, $X2 + $d45, $Y1 - $d45, $graphColor);
		}
		eval('$text = '.$popisX1.';');
		$textY = $zakladnaPixels - ($hodnotaZakladna - $hodnoty[$i] > 0 ? - imageFontWidth(3) * 10 - 5 - ($Ctl3D ? 5 : 0) : 10);
		imagestringup($im, 3, $X1 + $a / 2 - floor(imageFontHeight(3)), $textY, $text, $black);
		eval('$text = '.$popisX2.';');
		imagestringup($im, 3, $X1 + $a / 2, $textY, $text, $black);

		imageRectangle($im, $X1, $Y1, $X2, $Y2, $graphColor);
	}

	if ($Ctl3D) {
		imageLine($im, $X2 + $df2, $zakladnaPixels, $X2 + $df2 + $d45, $zakladnaPixels - $d45, $graphColor);
	}

	// vykresleni zakladny
	if (!$Ctl3D) {
		$zakladna1 = $d1rozmerVeSmeruZakladny + $df2;
		$zakladna2 = $rozmerVeSmeruZakladny - $d2rozmerVeSmeruZakladny - $df2;

		horizontalLine($im, $zakladna1, $zakladna2, $zakladnaPixels, $graphColor);
		if ($min < 0) {
			horizontalLine($im, $zakladna1, $zakladna2, $zakladnaPixels + 1, $graphColor);
		}
		if ($min >= 0) {
			horizontalLine($im, $zakladna1, $zakladna2, $zakladnaPixels - 1, $graphColor);
		}
	}

	// popis grafu
	imagestring($im, 5, floor($rozmerVeSmeruZakladny / 2) - floor(imageFontWidth(5) * strLen($nadpisGrafu) / 2), 5, $nadpisGrafu, $black);

	ImagePng($im);
	ImageDestroy($im);
}
?>
