<?php
$eboxCondition = '';
for ($i = 0; $i < count($public->ebox); $i++) {
	$eboxCondition .= "m_id='".$public->ebox[$i]."'".($i < count($public->ebox) - 1 ? ' OR ' : '');
}

$query = "SELECT MIN(datetime) AS minDate, MAX(datetime) AS maxDate FROM monitored WHERE $eboxCondition LIMIT 1";
$result = $DB->getResult($query);
$data = $result->fetchRow();

$minDate = $data['minDate'];
$maxDate = $data['maxDate'];

$startDay = $_POST['startDay'];
$startMonth = $_POST['startMonth'];
$startYear = $_POST['startYear'];

$endDay = $_POST['endDay'];
$endMonth = $_POST['endMonth'];
$endYear = $_POST['endYear'];

if (empty($startDay)) {
	$tydenOdKonceMS = strtotime(GMT2CET($maxDate)) - 6 * 24 * 3600; // delka tydne - 1 den v ms

	if (strtotime(GMT2CET($minDate)) < $tydenOdKonceMS) {
		$startDay = fGMT2CET("%d", enTimeFormat($tydenOdKonceMS));
		$startMonth = fGMT2CET("%m", enTimeFormat($tydenOdKonceMS));
		$startYear = fGMT2CET("%Y", enTimeFormat($tydenOdKonceMS));
	}
}

if (empty($startDay)) {
	$startDay = fGMT2CET("%d", $maxDate);
}
if (empty($startMonth)) {
	$startMonth = fGMT2CET("%m", $maxDate);
}
if (empty($startYear)) {
	$startYear = fGMT2CET("%Y", $maxDate);
}

if (empty($endDay)) {
	$endDay = fGMT2CET("%d", $maxDate);
}
if (empty($endMonth)) {
	$endMonth = fGMT2CET("%m", $maxDate);
}
if (empty($endYear)) {
	$endYear = fGMT2CET("%Y", $maxDate);
}

$startDate = CET2GMT(enTimeFormat(mktime(0, 0, 0, $startMonth, $startDay, $startYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT
$endDate = CET2GMT(enTimeFormat(mktime(23, 59, 59, $endMonth, $endDay, $endYear))); // kvuli vyhledavani v DB prepocitavam z CET na GMT

$_SESSION['idbs'] = encodeMyData(DBHOST);
$_SESSION['idbu'] = encodeMyData(DBUSER);
$_SESSION['idbp'] = encodeMyData(DBPWD);
$_SESSION['idbn'] = encodeMyData(DBNAME);

$_SESSION['x_values'] = 'datumCas';
$_SESSION['y_values'] = 'hodnota';

$_SESSION['x_start'] = strtotime($startDate);
$_SESSION['x_end'] = strtotime($endDate);

$_SESSION['imgSizeX'] = $_POST['imgSizeX'] ? round($_POST['imgSizeX']) : 750;
$_SESSION['imgSizeY'] = $_POST['imgSizeY'] ? round($_POST['imgSizeY']) : 460;
$_SESSION['refValueX'] = 'NULL'; // zadna hodnota se zada pomoci 'NULL'
$_SESSION['refValueY'] = 'NULL'; // zadna hodnota se zada pomoci 'NULL'

$_SESSION['dXL'] = 45;
$_SESSION['dXP'] = 10;
$_SESSION['dYH'] = 10;
$_SESSION['dYD'] = 140;

$_SESSION['nadpisGrafu'] = '';
$_SESSION['legendaGrafu'] = '';
$_SESSION['legendaKrivky'] = '';
$_SESSION['legendaRefX'] = '';
$_SESSION['legendaRefY'] = '';

$_SESSION['divideX'] = ($_POST['divideX'] ? str_replace(',', '.', $_POST['divideX']) : 3) * 3600;
$_SESSION['divideY'] = $_POST['divideY'] ? str_replace(',', '.', $_POST['divideY']) : 5;

$_SESSION['graphColor'] = $graphColor;
$_SESSION['maxTimeoutBetween2values'] = 20 * 60; // 20 minut * 60 sekund

$eboxMulti = is_array($_POST['eboxMulti']) ? $_POST['eboxMulti'] : array();
$senzorMulti = is_array($_POST['senzorMulti']) ? $_POST['senzorMulti'] : array();
$barvyMulti = is_array($_POST['barvy']) ? $_POST['barvy'] : array();
$meritkaMulti = is_array($_POST['meritka']) ? $_POST['meritka'] : array();

$checkQuantity = array();
for ($i = 0; $i < count($barvyMulti); $i++) {
	$checkQuantity[] = $_POST['checkQuantity'.$i];
}

$scales = array();
foreach ($meritkaMulti as $item) {
	$scales[] = str_replace(',', '.', $item);
}

$colors = array();
$sensors = array();
$eboxes = array();
$sql_prikazy = array();
for ($i = 0; $i < count($barvyMulti); $i++) {
	if ($checkQuantity[$i]) {
		$colors[] = $barvyMulti[$i];
		$sensors[] = $senzorMulti[$i];
		$eboxes[] = $eboxMulti[$i];

		$valueConvertScale = $scales[$i];
		$valuePrecision = $sensorValuePrecision[$eboxMulti[$i].'+'.$senzorMulti[$i]];

		$sql_prikazy[] = "SELECT UNIX_TIMESTAMP(datetime) AS datumCas, ROUND(value * ".($valueConvertScale ? $valueConvertScale : 1).", ".($valuePrecision != '' ? $valuePrecision : 1).") AS hodnota FROM monitored WHERE m_id='".$eboxMulti[$i]."' AND m_item='".$senzorMulti[$i]."' AND datetime >= '$startDate' AND datetime <= '$endDate' AND value > -999 ORDER BY datumCas;";
	}
}

$_SESSION['barvy'] = $colors;
$_SESSION['sql_query'] = $sql_prikazy;
?>
<div align="center">
	<div class="n12"><?php echo $compare->title;?></div>
	<br />
	<img class="img_prubeh" src="<?php echo LIBS_PATH.(count($colors) ? 'history.img.php?SIDNAME='.SID_NAME : '../images/whitespace.gif');?>" alt="" height="<?php echo $_SESSION['imgSizeY'];?>" width="<?php echo $_SESSION['imgSizeX'];?>" />
</div>
<br />
<div align="left">
<form action="./?site=<?php echo MOD_COMPARISON;?>" method="post">
<div class="ntab"><?php echo $compare->quantities;?></div>
<?php
$_eboxy = implode(', ', array_map('str_item', $public->ebox));

$i = 0;
foreach ($public->ebox as $m_id):
	$query = "SELECT m_id, m_item FROM monitored WHERE m_id='".$m_id."' $sensorCondition GROUP BY m_item";
	$result = $DB->getResult($query);

	if ($result->getNumRows()):
?>
<table cellpadding="3" cellspacing="0" summary="">
<tr><td class="b_all" colspan="3">e-box: <?php echo $public->eboxPlacement[$m_id].' ('.$m_id.")";?></td><td class="b_trb"><?php echo $compare->scale;?></td></tr>
<?php
		while ($data = $result->fetchRow()) {
			$m_id_multi = $data['m_id'];
			$m_item_multi = $data['m_item'];

			$barvySelect = '<select name="barvy[]">'."\n";
			for ($k = 0; $k < count($quantityColors); $k++) {
				$barvySelect .= '<option'.($quantityColors[$k] == $barvyMulti[$i] ? ' selected="selected"' : '').' value="'.$quantityColors[$k].'">'.$quantityColorsDescript[$k]."</option>\n";
			}
			$barvySelect .= "</select>\n";

			echo "<tr>\n".
					 '<td class="b_lrb"><input name="eboxMulti[]" type="hidden" value="'.$m_id_multi.'" /><input name="senzorMulti[]" type="hidden" value="'.$m_item_multi.'" /><input id="checkQuantity'.$i.'" name="checkQuantity'.$i.'"'.($checkQuantity[$i] ? ' checked="checked"' : '').' type="checkbox" />'."</td>\n".
					 '<td class="b_rb"><label for="checkQuantity'.$i.'">'.$sensorPlacement["$m_id_multi+$m_item_multi"].' - '.$sensorDescript["$m_id_multi+$m_item_multi"].' ('.$m_item_multi.")</label></td>\n".
					 '<td class="b_rb">'.$barvySelect."</td>\n".
					 '<td class="b_rb"><input name="meritka[]" size="5" value="'.($scales[$i] ? $scales[$i] : $sensorValueConvertScale[$m_id_multi.'+'.$m_item_multi]).'" />'."</td>\n".
					 "</tr>\n";
			$i++;
		}
?>
</table>
<br />
<?php
	endif;

endforeach;
?>
<table cellpadding="3" cellspacing="0" summary="">
<tr>
	<td class="b_ltr"><?php echo $compare->startMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($minDate, 0, 10) : fGMT2CET("%d.%m.%Y", $minDate));?>)</td>
	<td class="b_tr"><?php echo $compare->endMonitoring.' '.($_SESSION['lang'] == 'en' ? substr($maxDate, 0, 10) : fGMT2CET("%d.%m.%Y", $maxDate));?>)</td>
</tr>
<tr>
<tr>
	<td class="b_lrb"><?php echo createDateComboBox('start', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $startDay, $startMonth, $startYear);?></td>
	<td class="b_rb"><?php echo createDateComboBox('end', fGMT2CET("%Y", $minDate), fGMT2CET("%Y", $maxDate), $endDay, $endMonth, $endYear);?></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $compare->axisX;?> = <input name="divideX" size="4" value="<?php echo $_SESSION['divideX'] / 3600;?>" /></td>
	<td class="b_rb"><?php echo $compare->axisY;?> = <input name="divideY" size="4" value="<?php echo $_SESSION['divideY'];?>" /></td>
</tr>
<tr>
	<td class="b_lrb"><?php echo $compare->sizeX;?> = <input name="imgSizeX" size="4" value="<?php echo $_SESSION['imgSizeX'];?>" /> px</td>
	<td class="b_rb"><?php echo $compare->sizeY;?> = <input name="imgSizeY" size="4" value="<?php echo $_SESSION['imgSizeY'];?>" /> px</td>
</tr>
<tr>
	<td align="right" class="b_lrb" colspan="2"><input type="submit" value="<?php echo $compare->show;?>" /></td>
</tr>
</table>
</form>
</div>
<?php
$DB->close();
?>
