<?php
session_name($_GET['SIDNAME']);
session_start();

define('LIBS_PATH', '../libs/');

require_once LIBS_PATH."common.lib.php";

define('DBHOST', decodeMyData($_SESSION['idbs']));
define('DBUSER', decodeMyData($_SESSION['idbu']));
define('DBNAME', decodeMyData($_SESSION['idbn']));
define('DBPWD', decodeMyData($_SESSION['idbp']));

require_once LIBS_PATH."DBsupport.lib.php";

function verticalLine($img, $x, $y1, $y2, $color) {
	imageLine($img, $x, $y1, $x, $y2, $color);
}

function horizontalLine($img, $x1, $x2, $y, $color) {
	imageLine($img, $x1, $y, $x2, $y, $color);
}

function crossDraw($img, $x, $y, $l, $color) {
	imageLine($img, $x - $l, $y, $x + $l, $y, $color);
	imageLine($img, $x, $y - $l, $x, $y + $l, $color);
}

function minimum($refValue, $x) {
	return ($refValue != 'NULL') ? min($refValue, min($x)) : min($x);
}

function maximum($refValue, $x) {
	return ($refValue != 'NULL') ? max($refValue, max($x)) : max($x);
}

$imgSizeX = $_SESSION['imgSizeX'];
$imgSizeY = $_SESSION['imgSizeY'];

$dXL = $_SESSION['dXL'];
$dXP = $_SESSION['dXP'];
$dYH = $_SESSION['dYH'];
$dYD = $_SESSION['dYD'];

$sql_query = $_SESSION['sql_query'];

$x_values = $_SESSION['x_values'];
$y_values = $_SESSION['y_values'];

$divideX = $_SESSION['divideX'];
$divideY = $_SESSION['divideY'];

$refValueX = $_SESSION['refValueX'];
$refValueY = $_SESSION['refValueY'];

$nadpisGrafu = $_SESSION['nadpisGrafu'];
$legendaGrafu = $_SESSION['legendaGrafu'];
$legendaKrivky = $_SESSION['legendaKrivky'];
$legendaRefX = $_SESSION['legendaRefX'];
$legendaRefY = $_SESSION['legendaRefY'];

$x_start = $_SESSION['x_start'];
$x_end = $_SESSION['x_end'];

$graphColor = $_SESSION['graphColor'];
$maxTimeoutBetween2values = $_SESSION['maxTimeoutBetween2values'];

// rozsireni pro multi vykresleni
$barvy = $_SESSION['barvy'];

if ($im = ImageCreate($imgSizeX, $imgSizeY)) { // width, height
	Header("Content-type: image/png");

	require_once LIBS_PATH."colors.img.php";

	$min_of_rada_Y = '';
	$max_of_rada_Y = '';
	for ($i = 0; $i < count($barvy); $i++) {
		$result = $DB->getResult($sql_query[$i]);
		eval('$X'.$i.' = array();');
		eval('$Y'.$i.' = array();');
		while ($data = $result->fetchRow()) {
			eval('$X'.$i.'[] = GMT2CET_retTS(enTimeFormat($data[$x_values]));');
			eval('$Y'.$i.'[] = $data[$y_values];');
		}
		$min_of_rada_Y .= 'min($Y'.$i.')'.($i < count($barvy) - 1 ? ', ' : '');
		$max_of_rada_Y .= 'max($Y'.$i.')'.($i < count($barvy) - 1 ? ', ' : '');
	}
	$DB->close();

	eval('$minValuesY = minimum($refValueY, array('.$min_of_rada_Y.'));');
	eval('$maxValuesY = maximum($refValueY, array('.$max_of_rada_Y.'));');
//	$minValuesY = minimum($refValueY, array(min($Y)));
//	$maxValuesY = maximum($refValueY, array(max($Y)));
	$minY = floor($minValuesY / $divideY) * $divideY;
	$maxY = ceil($maxValuesY / $divideY) * $divideY;
	$merY = (imageSY($im) - $dYH - $dYD) / ($maxY - $minY);

	if ($divideY * $merY <= 1) { // too small divideY
		$divideY = 20;

//		imagestring($im, 3, 180, 400, round(((round(($maxY - $minY) / 10) * 10) / (imageSY($im) - $dYH - $dYD) * imageFontHeight(3)) / 10) * 10, $black);

		$minY = floor($minValuesY / $divideY) * $divideY;
		$maxY = ceil($maxValuesY / $divideY) * $divideY;
		$merY = (imageSY($im) - $dYH - $dYD) / ($maxY - $minY);
	}

//	$minValuesX = minimum($refValueX, array(min($X)));
//	$maxValuesX = maximum($refValueX, array(max($X)));
	$minValuesX = $x_start;
	$maxValuesX = $x_end;

	$maxLenghtValue = floor(imageFontWidth(3) * strLen(sprintf("%0.1f", $maxValuesY))) + 15;
	$dXL = $dXL < $maxLenghtValue ? $maxLenghtValue : $dXL;
//	$minX = floor($minValuesX / $divideX) * $divideX;
//	$maxX = ceil($maxValuesX / $divideX) * $divideX;
	$minX = $minValuesX;
	$maxX = $maxValuesX;

	$merX = (imageSX($im) - $dXL - $dXP) / ($maxX - $minX); 

	// plot grid
	$nX = round(($maxX - $minX) / $divideX);
	for ($index = 0; $index <= round(($maxY - $minY) / $divideY); $index++) {
		$y = round($merY * $index * $divideY) + $dYH;
		horizontalLine($im, $dXL, $dXL + round($merX * $nX * $divideX), $y, $gray);
		horizontalLine($im, $dXL - 5, $dXL + 5, $y, $black);
		$text = sprintf("%0.1f", $maxY - $index * $divideY);
		imagestring($im, 3, 5, $y - floor(imageFontHeight(3) / 2), $text, $black);
	}

	$prevText = '';
	$prevDayText = '';
	for ($index = 0; $index <= $nX; $index++) {
		$_x = round($merX * $index * $divideX) + $dXL;
		verticalLine($im, $_x, $dYH, imageSY($im) - $dYD, $gray);
		verticalLine($im, $_x, imageSY($im) - $dYD + 5, imageSY($im) - $dYD - 5, $black);

		$ftime = $minX + $index * $divideX;
		$text = fGMT2CET("%H:%M", enTimeFormat($ftime));
		$textDay = $_SESSION['lang'] == 'en' ? substr(enTimeFormat($ftime), 0, 10) : fGMT2CET("%d.%m.%Y", enTimeFormat($ftime));

		if ($textDay != $prevDayText || $prevText != $text) {
			$prevText = $text;
			if ($prevDayText != $textDay) {
				 $prevDayText = $textDay;
				 $text = $textDay.' - '.$text;
			}
			imagestringup($im, 3, $_x - floor(imageFontHeight(3) / 2), imageSY($im) - $dYD + imageFontWidth(3) * strLen($text) + 10, $text, $black);
		}
	}

	// plot image border
	horizontalLine($im, $dXL, $_x, $dYH, $black);
	horizontalLine($im, $dXL, $_x, imageSY($im) - $dYD, $black);
	verticalLine($im, $dXL, $dYH, imageSY($im) - $dYD, $black);
	verticalLine($im, $_x, $dYH, imageSY($im) - $dYD, $black);

	$plotPoints = 0; // vykresli koncove body primek - nevykresli = 0
	for ($i = 0; $i < count($barvy); $i++) {
		eval('$graphColor = $'.$barvy[$i].';');
		eval('$X = $X'.$i.';');
		eval('$Y = $Y'.$i.';');

		// plot graph
		for ($index = 0; $index < count($X) - 1; $index ++) {
			$x1 = round($merX * ($X[$index] - $minX)) + $dXL; // zmena
			$y1 = round($merY * ($maxY - $Y[$index])) + $dYH;
			$x2 = round($merX * ($X[$index + 1] - $minX)) + $dXL; // zmena
			$y2 = round($merY * ($maxY - $Y[$index + 1])) + $dYH;
			if ($X[$index + 1] - $X[$index] < $maxTimeoutBetween2values) {
				imageLine($im, $x1, $y1, $x2, $y2, $graphColor);
				if ($plotPoints) {
					crossDraw($im, $x1, $y1, 3, $black);
					crossDraw($im, $x2, $y2, 3, $black);
				}
			}
		}
	}

	// vykresleni referencnich hodnot
	if ($refValueX != 'NULL') verticalLine($im, round($merX * $refValueX) + $dXL, $dYH, imageSY($im) - $dYD, $green);
	if ($refValueY != 'NULL') horizontalLine($im, $dXL, imageSX($im) - $dXP, round($merY * ($maxY - $refValueY)) + $dYH, $blue);

	// nadpis grafu
	if ($nadpisGrafu) {
		imagestring($im, 5, floor(imageSX($im) / 2) - floor(imageFontWidth(5) * strLen($nadpisGrafu) / 2), 5, $nadpisGrafu, $black);
	}

	// legenda
	if ($legendaGrafu) {
		imagestring($im, 3, 5, imageSY($im) - $dYD + 35, $legendaGrafu, $black);

		$_y = imageSY($im) - $dYD + 65;
		imageLine($im, 5, $_y, 35, $_y, $red);
		imagestring($im, 3, 45, $_y - floor(imageFontHeight(3) / 2), $legendaKrivky, $black);

		$_y = imageSY($im) - $dYD + 85;
		if ($refValueX != 'NULL') {
			imageLine($im, 5, $_y, 35, $_y, $green);
			imagestring($im, 3, 45, $_y - floor(imageFontHeight(3) / 2), $legendaRefX, $black);
			$_y = imageSY($im) - $dYD + 105;
		}

		if ($refValueY != 'NULL') {
			imageLine($im, 5, $_y, 35, $_y, $blue);
			imagestring($im, 3, 45, $_y - floor(imageFontHeight(3) / 2), $legendaRefY, $black);
		}
	}
	ImagePng($im);
	ImageDestroy($im);
}
?>
